Name:           rhv-openvswitch
Version:        2.10
Release:        5%{?dist}
Epoch:          1
Summary:        Wrapper RPM for upgrading OVS from 2.9 to 2.10

Group:          System Environment/Daemons
License:        Public Domain
URL:            http://www.openvswitch.org
BuildArch:      noarch

Requires:       openvswitch2.10
Provides:       openvswitch = 1:2.10
Obsoletes:      openvswitch < 1:2.10
Obsoletes:      openvswitch-dpdk < 1:2.10

%description
Wrapper rpm for the openvswitch package

%package -n     rhv-python-openvswitch
Summary:        Wrapper for python-openvswitch rpm
License:        Public Domain
Requires:       python-openvswitch2.10
Provides:       python-openvswitch = 1:2.10
Provides:       python2-openvswitch = 1:2.10
Obsoletes:      python-openvswitch < 1:2.10

%description -n rhv-python-openvswitch
Wrapper rpm for the base python-openvswitch package

%package        devel
Summary:        Wrapper for openvswitch-devel rpm
License:        Public Domain
Requires:       openvswitch2.10-devel
Provides:       openvswitch-devel = 1:2.10
Obsoletes:      openvswitch-devel < 1:2.10

%description devel
Wrapper rpm for the base openvswitch-devel package

%package        ovn-central
Summary:        Wrapper for openvswitch-ovn-central rpm
License:        Public Domain
Requires:       openvswitch2.10-ovn-central
Provides:       openvswitch-ovn-central = 1:2.10
Obsoletes:      openvswitch-ovn-central < 1:2.10

%description ovn-central
Wrapper rpm for the base openvswitch-ovn-central package

%package        ovn-host
Summary:        Wrapper for openvswitch-ovn-host rpm
License:        Public Domain
Requires:       openvswitch2.10-ovn-host
Provides:       openvswitch-ovn-host = 1:2.10
Obsoletes:      openvswitch-ovn-host < 1:2.10

%description    ovn-host
Wrapper rpm for the base openvswitch-ovn-host package

%package        ovn-vtep
Summary:        Wrapper for openvswitch-ovn-vtep rpm
License:        Public Domain
Requires:       openvswitch2.10-ovn-vtep
Provides:       openvswitch-ovn-vtep = 1:2.10
Obsoletes:      openvswitch-ovn-vtep < 1:2.10

%description    ovn-vtep
Wrapper rpm for the base openvswitch-ovn-vtep package

%package        ovn-common
Summary:        Wrapper for openvswitch-ovn-common rpm
License:        Public Domain
Requires:       openvswitch2.10-ovn-common
Provides:       openvswitch-ovn-common = 1:2.10
Obsoletes:      openvswitch-ovn-common < 1:2.10

%description    ovn-common
Wrapper rpm for the base openvswitch-ovn-common package

%prep
# Nothing to prepare

%build
# Nothing to build

%install
# Nothing to install

%files
%files -n rhv-python-openvswitch
%files devel
%files ovn-central
%files ovn-host
%files ovn-vtep
%files ovn-common

%pretrans
preenabled_dir=/var/run/rhv-openvswitch/enabled
preactive_dir=/var/run/rhv-openvswitch/active
mkdir -p "$preenabled_dir" "$preactive_dir"
for service in openvswitch ovn-northd ovirt-provider-ovn; do
    if [ `systemctl is-enabled "$service"` = enabled ]; then
        touch "$preenabled_dir/$service"
    fi
    if [ `systemctl is-active "$service"` = active ]; then
        touch "$preactive_dir/$service"
    fi
done

%posttrans
preenabled_dir=/var/run/rhv-openvswitch/enabled
preactive_dir=/var/run/rhv-openvswitch/active
if [ -d "$preenabled_dir" ]; then
    for service in openvswitch ovn-northd ovirt-provider-ovn; do
        if [ -e "$preenabled_dir/$service" ]; then
            systemctl enable "$service"
            rm "$preenabled_dir/$service"
        fi
        if [ -e "$preactive_dir/$service" ]; then
            systemctl start "$service"
            rm "$preactive_dir/$service"
        fi
    done
fi

%changelog
* Thu Mar 21 2019 Dan Kenigsberg <danken@redhat.com> - 1:2.10-4
- keep OVN enabled when upgrading from openvswitch-2.9 (rhbz#1690782)

* Mon Oct 15 2018 Miguel Duarte Barroso <mdbarroso@redhat.com> - 1:2.10-3
- Provide both python2-openvswitch and python-openvswitch dependencies

* Mon Oct 15 2018 Miguel Duarte Barroso <sbonazzo@redhat.com> - 1:2.10-2
- Update license

* Mon Sep 24 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 1:2.10-1
- Initial import

